## org.apache.mahout.math.hadoop.stochasticsvd
Class UJob

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.UJob

    public class UJob

extends Object

Computes U=Q*Uhat of SSVD (optionally adding x pow(Sigma, 0.5) )

Nested Class Summary
`static class` `UJob.UMapper`

Constructor Summary
`UJob()`

Method Summary
`void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path inputPathQ, org.apache.hadoop.fs.Path inputUHatPath, org.apache.hadoop.fs.Path sigmaPath, org.apache.hadoop.fs.Path outputPath, int k, int numReduceTasks, Class<? extends org.apache.hadoop.io.Writable> labelClass, org.apache.mahout.math.hadoop.stochasticsvd.SSVDSolver.OutputScalingEnum outputScaling)`
`void` `waitForCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UJob

    public UJob()

Method Detail

### run

    public void run(org.apache.hadoop.conf.Configuration conf,
                    org.apache.hadoop.fs.Path inputPathQ,
                    org.apache.hadoop.fs.Path inputUHatPath,
                    org.apache.hadoop.fs.Path sigmaPath,
                    org.apache.hadoop.fs.Path outputPath,
                    int k,
                    int numReduceTasks,
                    Class<? extends org.apache.hadoop.io.Writable> labelClass,
                    org.apache.mahout.math.hadoop.stochasticsvd.SSVDSolver.OutputScalingEnum outputScaling)
             throws ClassNotFoundException,
                    InterruptedException,
                    IOException

  Throws:
    `ClassNotFoundException`
    `InterruptedException`
    `IOException`

### waitForCompletion

    public void waitForCompletion()
                           throws IOException,
                                  ClassNotFoundException,
                                  InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.